import { ModuleWithProviders } from '@angular/core';
import { EdgeCentralClient, EdgeCentralConfig } from './services';
export declare function initEdgeCentralClient(ec: EdgeCentralClient): () => Promise<void>;
/**
 *
 * @export
 */
export declare class EdgeCentralModule {
    /**
     * Creates an instance of EdgeCentralModule.
     * throw error if EdgeCentralModule already created on parent
     */
    constructor(parentModule: EdgeCentralModule);
    /**
     * Create new module instance with edge central config service
     *
     */
    static forRoot(config: EdgeCentralConfig): ModuleWithProviders;
}
